- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# ovirt_tag – Module to manage tags in oVirt/RHV

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- This module manage tags in oVirt/RHV. It can also manage assignments of those tags to entities.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7
- ovirt-engine-sdk-python >= 4.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
auth dictionary / required |  | Dictionary with values needed to create HTTP/HTTPS connection to oVirt:
| ca_file string |  | A PEM file containing the trusted CA certificates. The certificate presented by the server will be verified using these CA certificates. If `ca_file` parameter is not set, system wide CA certificate store is used. Default value is set by `OVIRT_CAFILE` environment variable.
| headers dictionary |  | Dictionary of HTTP headers to be added to each API call.
| hostname string |  | A string containing the hostname of the server, usually something like `server.example.com`. Default value is set by `OVIRT_HOSTNAME` environment variable. Either `url` or `hostname` is required.
| insecure boolean | Choices: no yes | A boolean flag that indicates if the server TLS certificate and host name should be checked.
| kerberos boolean | Choices: no yes | A boolean flag indicating if Kerberos authentication should be used instead of the default basic authentication.
| password string / required |  | The password of the user. Default value is set by `OVIRT_PASSWORD` environment variable.
| token string |  | Token to be used instead of login with username/password. Default value is set by `OVIRT_TOKEN` environment variable.
| url string |  | A string containing the API URL of the server, usually something like `https://server.example.com/ovirt-engine/api`. Default value is set by `OVIRT_URL` environment variable. Either `url` or `hostname` is required.
| username string / required |  | The name of the user, something like admin@internal. Default value is set by `OVIRT_USERNAME` environment variable.
description - |  | Description of the tag to manage.
fetch_nested boolean | Choices: no yes | If True the module will fetch additional data from the API. It will fetch IDs of the VMs disks, snapshots, etc. User can configure to fetch other attributes of the nested entities by specifying `nested_attributes`.
hosts - |  | List of the hosts names, which should have assigned this tag.
id - added in 2.8 |  | ID of the tag to manage.
name - / required |  | Name of the tag to manage.
nested_attributes list |  | Specifies list of the attributes which should be fetched from the API. This parameter apply only when `fetch_nested` is true.
parent - |  | Name of the parent tag.
poll_interval integer | Default: 3 | Number of the seconds the module waits until another poll request on entity status is sent.
state - | Choices: present ← absent attached detached | Should the tag be present/absent/attached/detached. `Note`: attached and detached states are supported since version 2.4.
timeout integer | Default: 180 | The amount of time in seconds the module should wait for the instance to get into desired state.
vms - |  | List of the VMs names, which should have assigned this tag.
wait boolean | Choices: no yes ← | `yes` if the module should wait for the entity to get into desired state.

## Notes

Note

- In order to use this module you have to install oVirt Python SDK. To ensure it’s installed with correct version you can create the following task: pip: name=ovirt-engine-sdk-python version=4.3.0

## Examples

    # Examples don't contain auth parameter for simplicity,
    # look at ovirt_auth module to see how to reuse authentication:

    # Create(if not exists) and assign tag to vms vm1 and vm2:
    - ovirt_tag:
        name: mytag
        vms:
          - vm1
          - vm2

    # Attach a tag to VM 'vm3', keeping the rest already attached tags on VM:
    - ovirt_tag:
        name: mytag
        state: attached
        vms:
          - vm3

    # Detach a tag from VM 'vm3', keeping the rest already attached tags on VM:
    - ovirt_tag:
        name: mytag
        state: detached
        vms:
          - vm3

    # To detach all VMs from tag:
    - ovirt_tag:
        name: mytag
        vms: []

    # Remove tag
    - ovirt_tag:
        state: absent
        name: mytag

    # Change Tag Name
    - ovirt_tag:
        id: 00000000-0000-0000-0000-000000000000
        name: "new_tag_name"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
id string | On success if tag is found. | ID of the tag which is managed Sample: 7de90f31-222c-436c-a1ca-7e655bd5b60c
tag dictionary | On success if tag is found. | Dictionary of all the tag attributes. Tag attributes can be found on your oVirt/RHV instance at following url: http://ovirt.github.io/ovirt-engine-api-model/master/#types/tag.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Ondra Machacek (@machacekondra)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.